package capitulo06.bloque02;

import java.util.HashMap;

import static capitulo04.utils.Utils.solicitarIntScannerInline;

public class Main {
    public static void main(String[] args) {

        HashMap<Integer, Articulo> bbddArticulos = new HashMap<Integer, Articulo>();
        int opcion = 0;
        do {
            System.out.println("Seleccione un opción: \n" +
                    "0 - Salir\n" +
                    "1 - Lista de artículos\n" +
                    "2 - Crear un nuevo artículo\n" +
                    "3 - Eliminar un artículo\n" +
                    "4 - Actualizar un artículo");
            opcion = solicitarIntScannerInline("> ");
            switch (opcion) {
                case 1:
                    for (Articulo articulo : bbddArticulos.values()) {
                        System.out.println(articulo);
                    }
                    break;
                case 2:
                    int codigoBarrasAnadir = solicitarIntScannerInline("Introduzca el código de barras del artículo a crear: ");
                    bbddArticulos.put(codigoBarrasAnadir, new Articulo(codigoBarrasAnadir,
                            solicitarIntScannerInline("Introduzca el número del estante: "),
                            solicitarIntScannerInline("Introduzca la cantidad de stock que hay: ")));
                    break;
                case 3:
                    int codigoBarrasEliminar = solicitarIntScannerInline("Introduzca el código de barras del artículo a eliminar: ");
                    bbddArticulos.remove(codigoBarrasEliminar);
                    break;
                case 4:
                    int codigoBarrasActualizar = solicitarIntScannerInline("Introduzca el código de barras del artículo a actualizar: ");
                    Articulo oldArt = bbddArticulos.get(codigoBarrasActualizar);
                    oldArt.setNumEstante(solicitarIntScannerInline("Introduzca el número del estante: "));
                    oldArt.setUnidadesStock(solicitarIntScannerInline("Introduzca la cantidad de stock que hay: "));
                    bbddArticulos.put(codigoBarrasActualizar, oldArt);

                    break;
            }


        } while (opcion != 0);
    }
}
